Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.transform.inlining
Class EmittedJoinPoint

    java.lang.Object
      org.codehaus.aspectwerkz.transform.inlining.EmittedJoinPoint

    public final class EmittedJoinPoint

extends Object

A structure that keeps required information needed to regenerate a JIT joinpoint. The weaver emits this information so that we can add initalization code to the weaved class. Note that EmittedJP are really Emitted - and can be a subset of actual JP (f.e. call, where information is lost in between each weave phase). FIXME equals and hashcode are wrong if 2 JP in same withincode - should depend on line number f.e. but that won't even be enough. Muts have a static variable and trust that creation of EmittedJP is ok. Check where those are used in a map for hashcode / equals to be used.

Author:
  Alexandre Vasseur , Jonas Bonr

Field Summary
`static org.objectweb.asm.Label` | `NO_LINE_NUMBER`

Constructor Summary
`EmittedJoinPoint(int joinPointType, String callerClassName, String callerMethodName, String callerMethodDesc, int callerMethodModifiers, String calleeClassName, String calleeMemberName, String calleeMemberDesc, int calleeMemberModifiers, int joinPointHash, String joinPointClassName)` Creates a new instance.
`EmittedJoinPoint(int joinPointType, String callerClassName, String callerMethodName, String callerMethodDesc, int callerMethodModifiers, String calleeClassName, String calleeMemberName, String calleeMemberDesc, int calleeMemberModifiers, int joinPointHash, String joinPointClassName, org.objectweb.asm.Label lineNumberLabel)` Creates a new instance.

Method Summary
`boolean` | `equals(Object o)`
`String` | `getCalleeClassName()`
`String` | `getCalleeMemberDesc()`
`int` | `getCalleeMemberModifiers()`
`String` | `getCalleeMemberName()`
`String` | `getCallerClassName()`
`String` | `getCallerMethodDesc()`
`int` | `getCallerMethodModifiers()`
`String` | `getCallerMethodName()`
`String` | `getJoinPointClassName()`
`int` | `getJoinPointHash()`
`int` | `getJoinPointType()`
`int` | `getLineNumber()`
`int` | `hashCode()`
`void` | `resolveLineNumber(Context context)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_LINE_NUMBER

    public static final org.objectweb.asm.Label NO_LINE_NUMBER

Constructor Detail

### EmittedJoinPoint

    public EmittedJoinPoint(int joinPointType,
                            String callerClassName,
                            String callerMethodName,
                            String callerMethodDesc,
                            int callerMethodModifiers,
                            String calleeClassName,
                            String calleeMemberName,
                            String calleeMemberDesc,
                            int calleeMemberModifiers,
                            int joinPointHash,
                            String joinPointClassName,
                            org.objectweb.asm.Label lineNumberLabel)

  Creates a new instance.

  Parameters:
    `joinPointType` -
    `callerClassName` -
    `callerMethodName` -
    `callerMethodDesc` -
    `callerMethodModifiers` -
    `calleeClassName` -
    `calleeMemberName` -
    `calleeMemberDesc` -
    `calleeMemberModifiers` -
    `joinPointHash` -
    `joinPointClassName` -
    `lineNumberLabel` -

### EmittedJoinPoint

    public EmittedJoinPoint(int joinPointType,
                            String callerClassName,
                            String callerMethodName,
                            String callerMethodDesc,
                            int callerMethodModifiers,
                            String calleeClassName,
                            String calleeMemberName,
                            String calleeMemberDesc,
                            int calleeMemberModifiers,
                            int joinPointHash,
                            String joinPointClassName)

  Creates a new instance.

  Parameters:
    `joinPointType` -
    `callerClassName` -
    `callerMethodName` -
    `callerMethodDesc` -
    `callerMethodModifiers` -
    `calleeClassName` -
    `calleeMemberName` -
    `calleeMemberDesc` -
    `calleeMemberModifiers` -
    `joinPointHash` -
    `joinPointClassName` -

Method Detail

### getJoinPointType

    public int getJoinPointType()

### getCallerClassName

    public String getCallerClassName()

### getCallerMethodName

    public String getCallerMethodName()

### getCallerMethodDesc

    public String getCallerMethodDesc()

### getCallerMethodModifiers

    public int getCallerMethodModifiers()

### getCalleeClassName

    public String getCalleeClassName()

### getCalleeMemberName

    public String getCalleeMemberName()

### getCalleeMemberDesc

    public String getCalleeMemberDesc()

### getCalleeMemberModifiers

    public int getCalleeMemberModifiers()

### getJoinPointHash

    public int getJoinPointHash()

### getJoinPointClassName

    public String getJoinPointClassName()

### getLineNumber

    public int getLineNumber()

### resolveLineNumber

    public void resolveLineNumber(Context context)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.